<?php
/**
 * This code is licensed under the BSD 3-Clause License.
 *
 * Copyright (c) 2017, Maks Rafalko
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * * Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.
 *
 * * Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 *
 * * Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from
 *   this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

declare(strict_types=1);

namespace Infection\Tests\Fixtures\TestFramework\PhpUnit\Coverage;

final class JUnitTimes
{
    const JUNIT_TIMES = [
        670.332214,
        0.219290,
        0.007056,
        0.209232,
        0.001613,
        0.001389,
        11.142051,
        0.140740,
        0.101799,
        0.107415,
        0.102556,
        0.103086,
        0.103196,
        0.102051,
        0.099744,
        0.103188,
        0.101121,
        3.729128,
        0.002513,
        0.002361,
        0.002060,
        0.002115,
        0.002251,
        0.002332,
        0.002155,
        0.099155,
        0.002069,
        0.002397,
        0.098393,
        0.100916,
        0.100220,
        0.101317,
        0.002108,
        0.099827,
        0.270217,
        0.273114,
        0.265358,
        0.121791,
        0.102863,
        0.002296,
        0.103455,
        0.102975,
        0.103120,
        0.002222,
        0.099803,
        0.002488,
        0.002115,
        0.002187,
        0.002087,
        0.103366,
        0.002135,
        0.002084,
        0.001928,
        0.002009,
        0.100578,
        0.102429,
        0.100361,
        0.002030,
        0.100359,
        0.101315,
        0.103514,
        0.103816,
        0.101675,
        0.100987,
        0.101686,
        0.112512,
        0.103030,
        0.099716,
        0.002407,
        0.102620,
        0.100290,
        6.348028,
        0.101594,
        0.105293,
        0.105048,
        0.105885,
        0.103966,
        0.105307,
        0.109734,
        0.102780,
        0.105584,
        0.105184,
        0.109347,
        0.110015,
        0.105507,
        0.105161,
        0.108096,
        0.103945,
        0.111258,
        0.105114,
        0.105729,
        0.106239,
        0.116544,
        0.119728,
        0.106976,
        0.108866,
        0.112840,
        0.115542,
        0.114267,
        0.112980,
        0.113108,
        0.113662,
        0.115536,
        0.117314,
        0.115713,
        0.115651,
        0.117352,
        0.113325,
        0.110361,
        0.111176,
        0.115223,
        0.117962,
        0.118391,
        0.121377,
        0.110757,
        0.114939,
        0.114752,
        0.118285,
        0.113098,
        0.117704,
        0.112157,
        0.110424,
        0.112678,
        0.113844,
        0.110522,
        0.114607,
        0.114746,
        0.114550,
        0.110283,
        1.271499,
        0.229905,
        0.113896,
        0.116009,
        1.041594,
        0.123723,
        0.115126,
        0.115428,
        0.113453,
        0.117012,
        0.111883,
        0.114140,
        0.113998,
        0.116830,
        9.022921,
        0.112340,
        0.118300,
        0.112484,
        0.113498,
        0.114167,
        0.113642,
        0.115727,
        0.116986,
        0.112853,
        0.113904,
        0.112122,
        0.154050,
        0.114918,
        0.113646,
        3.166046,
        0.113548,
        0.114990,
        0.119753,
        0.111858,
        0.113406,
        0.113913,
        0.111049,
        0.113171,
        0.111662,
        0.112009,
        0.110706,
        0.111765,
        0.111763,
        0.112408,
        0.113437,
        0.114520,
        0.115679,
        0.113318,
        0.110931,
        0.112608,
        0.113642,
        0.114075,
        0.112594,
        0.111257,
        0.112471,
        0.111443,
        0.113618,
        0.114452,
        4.218238,
        0.114288,
        0.116136,
        0.117100,
        0.117035,
        0.114850,
        0.113318,
        0.122206,
        0.111713,
        0.118491,
        0.112298,
        0.113273,
        0.113919,
        0.113266,
        0.140753,
        0.111151,
        0.111636,
        0.114237,
        0.115990,
        0.120261,
        0.118026,
        0.118013,
        0.119311,
        0.114646,
        0.114756,
        0.116288,
        0.115669,
        0.140518,
        0.113255,
        0.120611,
        0.122575,
        0.124586,
        0.115276,
        0.111682,
        0.112152,
        0.118089,
        0.110864,
        14.864787,
        0.111626,
        2.161438,
        0.111471,
        0.111106,
        0.113553,
        0.112264,
        0.114096,
        0.114114,
        0.112659,
        0.117772,
        0.119595,
        0.116708,
        0.111715,
        0.110815,
        0.114479,
        0.114075,
        0.114143,
        0.114029,
        0.114766,
        0.112162,
        0.111915,
        12.591723,
        0.112079,
        0.112412,
        0.115644,
        0.122890,
        0.113872,
        0.112700,
        0.113702,
        0.113113,
        0.110169,
        0.110593,
        0.113806,
        0.123746,
        0.112138,
        0.112021,
        0.111508,
        0.112096,
        0.110385,
        0.112184,
        0.114469,
        0.113791,
        0.112453,
        0.111764,
        0.114560,
        0.110389,
        0.115028,
        0.112462,
        0.112276,
        0.112668,
        0.112743,
        0.112341,
        0.111922,
        0.112483,
        0.115921,
        0.114150,
        0.113105,
        0.114048,
        0.111319,
        0.116045,
        0.112760,
        0.115276,
        0.113876,
        0.115095,
        0.117689,
        0.113239,
        0.119944,
        0.114037,
        0.117899,
        0.120685,
        0.113637,
        0.115669,
        0.118517,
        0.123335,
        0.111633,
        0.113073,
        0.118971,
        0.115235,
        0.111271,
        0.112588,
        0.115870,
        0.112279,
        0.114068,
        0.121249,
        0.138549,
        0.166924,
        0.120145,
        0.118693,
        0.118987,
        0.133527,
        0.251861,
        0.297789,
        0.265801,
        0.131938,
        0.123574,
        0.125425,
        0.135024,
        0.137075,
        0.129519,
        0.123161,
        0.121399,
        0.117026,
        0.117892,
        0.117710,
        0.113751,
        0.116723,
        0.139958,
        0.131830,
        0.130582,
        0.124276,
        0.138047,
        0.133006,
        0.167241,
        0.198205,
        0.173581,
        0.150880,
        0.134582,
        0.147891,
        0.130118,
        0.130174,
        0.126257,
        0.125713,
        17.127625,
        2.225164,
        0.123308,
        0.123193,
        0.120777,
        0.116656,
        0.117385,
        0.118451,
        0.120517,
        0.128397,
        0.124695,
        0.118851,
        0.126180,
        0.126907,
        0.121521,
        0.131020,
        0.128444,
        0.133349,
        0.119438,
        0.126075,
        14.902461,
        0.136300,
        0.157091,
        0.138580,
        0.138598,
        0.133136,
        0.157468,
        0.143500,
        0.135732,
        0.150786,
        0.129690,
        0.128905,
        0.119953,
        0.148191,
        0.121449,
        0.121904,
        0.126494,
        0.130800,
        0.120887,
        0.120622,
        0.119584,
        0.180577,
        0.125957,
        0.122630,
        0.140399,
        0.136783,
        0.124041,
        0.125627,
        0.142554,
        0.202415,
        0.134177,
        0.136005,
        0.142090,
        0.138655,
        0.132433,
        0.129259,
        0.126176,
        0.123274,
        0.169225,
        0.122515,
        0.122697,
        0.135671,
        0.130335,
        0.130604,
        0.127108,
        0.120961,
        0.124489,
        0.130368,
        0.122349,
        0.163032,
        0.119998,
        0.121713,
        0.127697,
        0.138697,
        0.126358,
        0.118119,
        0.128884,
        0.122978,
        0.175221,
        0.119119,
        0.123395,
        0.136439,
        0.118826,
        0.118002,
        0.120274,
        0.223374,
        0.367664,
        0.283211,
        0.240303,
        0.286506,
        0.171503,
        0.203627,
        0.127280,
        0.164946,
        0.175878,
        0.140404,
        0.129521,
        0.139466,
        0.130177,
        0.119592,
        0.129686,
        0.173356,
        0.118476,
        0.126467,
        0.126934,
        0.134043,
        0.197619,
        0.129713,
        0.128365,
        0.186668,
        0.164388,
        0.190004,
        0.149206,
        0.128055,
        0.183478,
        0.122107,
        0.129604,
        0.131035,
        0.125041,
        0.121448,
        0.177978,
        0.125635,
        0.120948,
        0.120960,
        7.262690,
        5.581371,
        0.124874,
        0.127610,
        0.134944,
        0.125349,
        0.122572,
        0.130870,
        0.125313,
        0.123074,
        0.134647,
        0.127176,
        0.128429,
        0.182124,
        0.150331,
        0.130216,
        0.180807,
        0.131615,
        0.130154,
        0.130790,
        0.128939,
        0.122701,
        0.128155,
        0.131346,
        0.131782,
        0.167787,
        0.131178,
        0.137772,
        0.130938,
        0.126711,
        0.151162,
        0.130119,
        0.193588,
        0.148510,
        0.152798,
        0.148902,
        0.150306,
        0.148674,
        0.150606,
        0.152144,
        0.137899,
        0.138459,
        1.681319,
        0.217682,
        0.140934,
        0.153224,
        0.144029,
        0.162648,
        0.186446,
        0.180571,
        0.184352,
        0.162812,
        0.148621,
        1.259007,
        0.146525,
        0.146525,
        1.112482,
        0.135497,
        0.150899,
        0.206880,
        0.121683,
        0.123584,
        0.130254,
        0.119798,
        0.123887,
        0.371972,
        0.002558,
        0.117766,
        0.126274,
        0.002484,
        0.002443,
        0.120447,
        4.396520,
        0.002142,
        2.146339,
        0.120067,
        0.118729,
        0.124566,
        0.122802,
        0.121294,
        0.129743,
        0.132716,
        0.129007,
        0.128355,
        0.123815,
        0.121073,
        0.170839,
        0.122252,
        0.119716,
        0.121674,
        0.121236,
        0.118455,
        2.248040,
        0.118327,
        0.122383,
        0.127501,
        0.127128,
        0.124770,
        0.144933,
        0.126152,
        0.120307,
        0.123838,
        0.124899,
        0.146119,
        0.127720,
        0.136510,
        0.127589,
        0.191178,
        0.126339,
        0.132347,
        11.568223,
        3.189431,
        0.128324,
        0.122833,
        0.123114,
        0.124159,
        0.125864,
        0.133093,
        0.264958,
        0.250517,
        0.252143,
        0.130428,
        0.131734,
        0.127191,
        0.133444,
        0.216002,
        0.136378,
        0.135611,
        0.136545,
        0.128218,
        0.129368,
        0.127306,
        0.132201,
        8.378791,
        0.129785,
        0.133045,
        0.128633,
        0.123509,
        0.123514,
        0.126534,
        0.200682,
        0.124898,
        0.127050,
        0.139761,
        0.169313,
        0.156908,
        0.148430,
        0.171728,
        0.150056,
        0.129017,
        0.132818,
        0.152718,
        0.204173,
        0.183550,
        0.211898,
        0.281540,
        0.178316,
        0.184884,
        0.176846,
        0.199181,
        0.203564,
        0.167319,
        0.158452,
        0.175023,
        0.213068,
        0.222832,
        0.229109,
        0.210241,
        0.151567,
        0.151727,
        0.150505,
        0.237043,
        0.165726,
        0.142711,
        0.153354,
        0.150293,
        0.158744,
        0.149568,
        0.128244,
        0.127988,
        0.133707,
        0.217888,
        0.131116,
        0.133367,
        0.126847,
        0.780940,
        0.009138,
        0.002298,
        0.002405,
        0.002553,
        0.001882,
        0.771802,
        0.130268,
        0.125273,
        0.002324,
        0.133393,
        0.126372,
        0.128650,
        0.125522,
        2.871259,
        1.859183,
        0.124189,
        0.132694,
        0.197451,
        0.141577,
        0.120293,
        0.121526,
        0.131809,
        0.144100,
        0.119506,
        0.122794,
        0.123990,
        0.121776,
        0.130644,
        0.126834,
        1.012076,
        0.124274,
        0.127836,
        0.129284,
        0.131068,
        0.124630,
        0.127375,
        0.122127,
        0.125482,
        7.209547,
        0.131221,
        0.129931,
        1.228982,
        0.125600,
        0.190353,
        0.002542,
        0.119714,
        0.129039,
        0.135508,
        0.133555,
        0.132451,
        0.123915,
        0.136305,
        5.719412,
        0.141437,
        0.127109,
        0.134875,
        0.124918,
        0.119166,
        0.135411,
        0.131915,
        0.121186,
        0.122464,
        0.128923,
        0.185653,
        0.123416,
        0.124383,
        0.136067,
        0.138326,
        0.121801,
        0.122590,
        0.120317,
        0.123603,
        0.124871,
        0.121084,
        0.120662,
        0.127873,
        0.127230,
        0.125148,
        0.126495,
        0.186907,
        0.125919,
        0.122065,
        0.124600,
        0.121867,
        0.125661,
        0.126525,
        0.125208,
        0.120319,
        0.121227,
        0.119145,
        0.121382,
        0.195602,
        0.119461,
        0.129313,
        0.122689,
        0.120804,
        0.133796,
        11.036122,
        0.001991,
        3.103024,
        0.128930,
        0.134508,
        0.123876,
        0.124228,
        0.124637,
        0.122546,
        0.135078,
        0.131647,
        0.129680,
        0.134100,
        0.133248,
        0.158602,
        0.229899,
        0.002617,
        0.003802,
        0.002684,
        0.133246,
        0.130851,
        0.125404,
        0.132013,
        0.136921,
        0.002229,
        0.130351,
        0.122792,
        0.120368,
        0.122622,
        0.126145,
        7.931107,
        0.125280,
        0.131110,
        0.136015,
        0.126033,
        0.126160,
        0.190014,
        0.125895,
        0.123563,
        0.126866,
        0.122007,
        0.119657,
        0.119573,
        0.120042,
        0.271330,
        0.137796,
        0.212348,
        0.216230,
        0.252671,
        0.253177,
        0.184616,
        0.231950,
        0.265195,
        0.377952,
        0.209759,
        0.131087,
        0.127797,
        2.384887,
        0.108468,
        0.104306,
        0.104933,
        0.107405,
        0.112107,
        0.110761,
        0.119546,
        0.111269,
        0.103303,
        5.872305,
        2.443426,
        0.104935,
        0.107258,
        0.109360,
        0.108053,
        0.108741,
        0.108433,
        0.106444,
        0.108842,
        0.116720,
        0.111292,
        0.114790,
        0.116053,
        0.111816,
        0.103183,
        0.112951,
        0.109551,
        0.110332,
        0.108750,
        0.112752,
        0.107795,
        0.119699,
        0.125677,
        3.428879,
        0.112232,
        0.115375,
        0.125338,
        0.125037,
        0.109142,
        0.129388,
        0.107216,
        0.117866,
        0.120745,
        0.110331,
        0.107861,
        0.112874,
        0.116743,
        0.114029,
        0.116105,
        0.118374,
        0.114732,
        0.109770,
        0.136989,
        0.111166,
        0.106062,
        0.108963,
        0.114424,
        0.106421,
        0.109879,
        0.107550,
        0.112654,
        0.110109,
        0.107965,
        0.113538,
        0.136036,
        0.004710,
        0.002330,
        0.002380,
        0.012191,
        0.002410,
        0.002327,
        0.002581,
        0.002287,
        0.002586,
        0.005340,
        0.002751,
        0.002589,
        0.111604,
        0.002191,
        0.020560,
        0.002297,
        0.002128,
        0.002127,
        0.002262,
        0.002071,
        0.002746,
        0.002298,
        0.002147,
        0.002484,
        0.006093,
        0.003729,
        0.000416,
        0.000346,
        0.000222,
        0.000466,
        0.000445,
        0.000469,
        2.286331,
        0.015074,
        0.016499,
        0.015026,
        0.008696,
        0.014884,
        0.015074,
        0.015378,
        0.020062,
        0.016416,
        0.018948,
        0.014973,
        0.003264,
        0.111910,
        0.117852,
        0.125387,
        0.111171,
        0.117032,
        0.109020,
        0.112194,
        0.110912,
        0.111804,
        0.114194,
        0.110801,
        0.113885,
        0.114080,
        0.116686,
        0.115922,
        0.003367,
        0.138144,
        0.116352,
        0.113170,
        0.016968,
        0.003090,
        0.008096,
        0.000204,
        0.000204,
        0.023949,
        0.020511,
        0.000489,
        0.000430,
        0.000256,
        0.000478,
        0.000429,
        0.000404,
        0.000648,
        0.000304,
        39.826087,
        3.431770,
        3.365652,
        3.411164,
        3.241054,
        3.277868,
        3.305755,
        3.779959,
        3.942150,
        4.580721,
        5.536524,
        0.008621,
        0.008260,
        0.111822,
        0.119357,
        0.112349,
        0.230292,
        0.258611,
        0.268709,
        0.260781,
        0.269163,
        0.041994,
        0.016597,
        0.246913,
        8.810243,
        2.469888,
        0.268316,
        0.155425,
        0.168992,
        0.191213,
        0.195508,
        0.204395,
        0.231107,
        0.194760,
        0.195008,
        0.225927,
        0.232963,
        0.206274,
        6.340354,
        0.194910,
        0.185274,
        0.167130,
        0.176943,
        0.225161,
        0.253496,
        0.199628,
        0.119269,
        0.113129,
        0.118549,
        0.116389,
        0.113322,
        0.133994,
        0.111339,
        0.112244,
        0.117784,
        0.123436,
        0.109236,
        0.115099,
        0.124576,
        0.114580,
        0.111380,
        0.115311,
        0.110132,
        0.114901,
        0.120717,
        0.110774,
        0.112824,
        0.119360,
        0.113570,
        0.117840,
        0.120158,
        0.122920,
        0.117393,
        0.118652,
        0.154896,
        0.141156,
        0.183001,
        0.163411,
        0.152475,
        0.120357,
        0.125369,
        0.118774,
        0.157978,
        0.122929,
        0.112524,
        0.116064,
        1.489847,
        1.035777,
        0.110990,
        0.108058,
        0.117260,
        0.109468,
        0.120019,
        0.115238,
        0.114891,
        0.121979,
        0.117874,
        0.454070,
        0.116693,
        0.114473,
        0.110985,
        0.111919,
        0.000245,
        0.000103,
        0.000075,
        0.000067,
        0.588164,
        0.107239,
        0.107239,
        0.480925,
        0.117031,
        0.127634,
        0.117833,
        0.118427,
        25.780238,
        0.004408,
        25.775830,
        0.107902,
        0.110854,
        0.127716,
        0.164045,
        0.006638,
        0.221233,
        0.224544,
        0.180842,
        0.226993,
        0.235633,
        0.223479,
        0.155938,
        0.107872,
        0.106607,
        0.113918,
        0.110180,
        0.002868,
        0.004071,
        0.003350,
        0.003400,
        0.108035,
        0.105943,
        0.106278,
        0.105996,
        0.109421,
        0.107808,
        0.113461,
        0.110687,
        0.118257,
        0.124098,
        0.114353,
        0.115525,
        0.112517,
        0.119949,
        0.112783,
        0.107142,
        0.110959,
        0.108104,
        0.113303,
        0.109478,
        0.111667,
        0.112699,
        0.109816,
        0.104249,
        0.105112,
        0.111792,
        0.107907,
        0.118773,
        0.110659,
        0.109695,
        0.108621,
        0.112219,
        0.108697,
        0.112278,
        0.109588,
        0.114359,
        0.114893,
        0.106129,
        0.115685,
        0.114655,
        0.111629,
        0.110574,
        0.110211,
        0.106675,
        0.110151,
        0.109846,
        0.106108,
        0.111601,
        0.113698,
        0.118216,
        0.105866,
        0.107881,
        0.105207,
        0.107923,
        0.108439,
        0.108155,
        0.115995,
        0.105899,
        0.113510,
        0.107402,
        0.114355,
        0.108421,
        0.110357,
        0.115943,
        0.104667,
        0.112698,
        0.108352,
        0.108359,
        0.111260,
        0.114233,
        0.112220,
        0.114541,
        0.113388,
        0.126233,
        0.121094,
        0.112158,
        0.106570,
        0.106558,
        0.104271,
        0.109281,
        0.106860,
        0.128919,
        0.134474,
        0.110402,
        0.112158,
        0.111631,
        0.113243,
        0.120715,
        0.114344,
        0.121043,
        0.123656,
        0.122041,
        0.120290,
        0.120842,
        0.127534,
        0.121866,
        0.124406,
        0.124950,
        0.120529,
        0.163763,
        0.152735,
        0.136772,
        0.119747,
        0.121127,
        0.115444,
        0.118771,
        0.116818,
        0.002834,
        0.127581,
        0.118887,
        0.134658,
        0.136966,
        0.134123,
        0.137587,
        0.140487,
        0.132456,
        0.127492,
        0.136647,
        0.156789,
        0.171571,
        0.135101,
        0.132522,
        0.134022,
        0.146860,
        0.127107,
        0.130196,
        0.115037,
        0.125274,
        0.120567,
        0.116653,
        0.120015,
        0.113062,
        0.115327,
        0.119140,
        0.118307,
        0.115896,
        0.120987,
        0.118175,
        0.116649,
        0.118422,
        0.116396,
        0.136634,
        0.130019,
        0.129190,
        0.133851,
        0.131206,
        0.132552,
        0.127035,
        0.129651,
        0.130847,
        0.126656,
        0.139276,
        0.128859,
        0.129793,
        0.131355,
        0.131784,
        0.139658,
        0.135563,
        0.132895,
        0.127799,
        0.124785,
        0.129939,
        0.128533,
        0.129326,
        0.148752,
        0.137177,
        0.133469,
        0.142685,
        0.131311,
        0.142607,
        0.143582,
        0.165488,
        0.131325,
        0.149532,
        0.145562,
        0.138431,
        0.136040,
        0.137222,
        0.136017,
        0.141242,
        0.161581,
        0.137936,
        0.135690,
        0.136696,
        0.160370,
        0.135494,
        0.120701,
        0.118411,
        0.123645,
        0.127155,
        0.126188,
        0.133825,
        2.674481,
        0.045583,
        0.054833,
        0.278263,
        0.901006,
        0.826753,
        0.313444,
        0.254599,
        0.207230,
        0.207230,
        2.423292,
        1.694577,
        0.131804,
        0.120838,
        0.244627,
        0.266357,
        0.143295,
        0.185131,
        0.124047,
        0.004175,
        0.117190,
        0.117067,
        0.119526,
        0.120520,
        0.728715,
        0.121718,
        0.124503,
        0.118385,
        0.122035,
        0.119726,
        0.122348,
        0.005083,
        0.002290,
        0.000351,
        0.000374,
        0.000205,
        0.000922,
        0.000586,
        0.000355,
        0.347311,
        0.153446,
        0.004732,
        0.003778,
        0.005247,
        0.003530,
        0.003789,
        0.004018,
        0.002903,
        0.003739,
        0.002926,
        0.002942,
        0.002962,
        0.003122,
        0.003528,
        0.003471,
        0.003983,
        0.003425,
        0.003390,
        0.003515,
        0.004487,
        0.004295,
        0.003797,
        0.003581,
        0.003474,
        0.003144,
        0.004061,
        0.004006,
        0.003725,
        0.004073,
        0.002312,
        0.004206,
        0.003797,
        0.003449,
        0.003612,
        0.005370,
        0.004069,
        0.004016,
        0.003281,
        0.003716,
        0.004329,
        0.003711,
        0.003936,
        0.193865,
        0.005167,
        0.005020,
        0.005217,
        0.004318,
        0.004788,
        0.004499,
        0.003380,
        0.003687,
        0.003583,
        0.004146,
        0.004056,
        0.004427,
        0.004459,
        0.004548,
        0.004761,
        0.004241,
        0.004441,
        0.004876,
        0.005923,
        0.005902,
        0.004941,
        0.005102,
        0.003904,
        0.004015,
        0.005175,
        0.006283,
        0.005181,
        0.005147,
        0.002482,
        0.005647,
        0.006032,
        0.003565,
        0.004402,
        0.004642,
        0.005094,
        0.005089,
        0.004032,
        0.004651,
        0.006466,
        0.004617,
        0.005959,
        0.310691,
        0.310691,
        0.171174,
        0.139517,
        1.524491,
        1.524491,
        0.122957,
        0.122364,
        0.124522,
        0.131966,
        0.122021,
        0.129853,
        0.133457,
        0.129397,
        0.127384,
        0.135281,
        0.126129,
        0.119160,
        1.685236,
        1.685236,
        0.130364,
        0.122940,
        0.122685,
        0.129731,
        0.129016,
        0.128330,
        0.137293,
        0.132556,
        0.132705,
        0.125652,
        0.129551,
        0.128368,
        0.136045,
        0.133631,
        0.133631,
        0.133631,
        1.622345,
        1.622345,
        0.189171,
        0.143081,
        0.195861,
        0.151875,
        0.150995,
        0.179559,
        0.190078,
        0.149994,
        0.133042,
        0.138689,
        0.610591,
        0.610591,
        0.202260,
        0.134533,
        0.132622,
        0.141176,
        10.344942,
        10.344942,
        0.192117,
        0.209650,
        0.191852,
        0.194753,
        0.208470,
        0.207440,
        0.141953,
        0.196805,
        0.212364,
        0.154139,
        0.122977,
        0.176044,
        0.178254,
        0.130541,
        0.131524,
        0.129498,
        0.132923,
        0.185951,
        0.127580,
        0.133623,
        0.131673,
        0.132535,
        0.130943,
        0.131350,
        0.130130,
        0.130431,
        0.133058,
        0.142594,
        0.192733,
        0.184151,
        0.129483,
        0.133164,
        0.137968,
        0.210191,
        0.256821,
        0.344377,
        0.363963,
        0.372363,
        0.232271,
        0.137800,
        0.130003,
        0.128446,
        0.135948,
        0.132692,
        0.130589,
        0.200635,
        0.135728,
        0.186296,
        0.134785,
        0.184630,
        0.137677,
        0.132445,
        0.140654,
        0.190830,
        0.155904,
        0.140564,
        0.134395,
        0.136311,
        0.137804,
        0.140621,
        0.143913,
        0.137615,
        4.792735,
        4.792735,
        0.199339,
        0.133659,
        0.135533,
        0.138072,
        4.186132,
        0.714262,
        0.714262,
        0.172874,
        0.107263,
        0.106882,
        0.107025,
        0.106300,
        0.113918,
        3.263256,
        3.263256,
        0.167428,
        0.111521,
        0.109146,
        0.103967,
        0.108377,
        0.108519,
        0.111122,
        0.109458,
        0.109407,
        0.111849,
        0.121930,
        0.113589,
        0.111990,
        0.108925,
        0.110608,
        0.106410,
        0.108228,
        0.110963,
        0.111899,
        0.113359,
        0.115597,
        0.110371,
        0.108747,
        0.105828,
        0.105753,
        0.115517,
        0.113159,
        0.110505,
        0.109084,
        3.210487,
        3.210487,
        0.110881,
        0.111795,
        0.112076,
        0.108835,
        0.117386,
        0.116245,
        0.117710,
        0.113414,
        0.108779,
        0.108981,
        0.105993,
        0.107419,
        0.110117,
        0.107382,
        0.109948,
        0.113282,
        0.104950,
        0.107164,
        0.109572,
        0.107575,
        0.110327,
        0.109832,
        0.108504,
        0.109398,
        0.108735,
        0.109990,
        0.109875,
        0.118963,
        0.115359,
        0.928660,
        0.254894,
        0.149239,
        0.105655,
        0.673766,
        0.113882,
        0.108058,
        0.108824,
        0.113812,
        0.115199,
        0.113991,
        0.182221,
        0.182221,
        0.009760,
        0.008165,
        0.007841,
        0.007530,
        0.007575,
        0.011029,
        0.011029,
        0.009615,
        0.010652,
        0.010016,
        0.008498,
        0.011056,
        0.011337,
        0.011089,
        0.009595,
        0.007993,
        0.007689,
        0.008444,
        0.013309,
        0.010527,
        0.010527,
        0.223474,
        0.223474,
        0.010352,
        0.010443,
        0.009734,
        0.019488,
        0.007899,
        0.008946,
        0.010566,
        0.010299,
        0.011146,
        0.008737,
        0.011017,
        0.008736,
        0.008286,
        0.008612,
        0.009490,
        0.010748,
        0.012398,
        0.012289,
        0.008091,
        0.010616,
        0.015581,
        0.055357,
        0.055357,
        0.009429,
        0.010536,
        0.010852,
        0.008763,
        0.010032,
        0.005745,
        0.381497,
        0.381497,
        0.008679,
        0.010963,
        0.011776,
        0.010159,
        0.009128,
        0.008775,
        0.007044,
        0.010433,
        0.007560,
        0.020326,
        0.008158,
        0.021483,
        0.054865,
        0.020560,
        0.007409,
        0.019180,
        0.009920,
        0.007191,
        0.015350,
        0.015527,
        0.008582,
        0.006004,
        0.010012,
        0.009399,
        0.008540,
        0.006396,
        0.005487,
        0.009071,
        0.013415,
        0.013288,
        0.006816,
        0.767924,
        0.554167,
        0.118457,
        0.111926,
        0.112780,
        0.107008,
        0.103996,
        0.213757,
        0.108205,
        0.105552,
        18.125113,
        5.503543,
        0.298599,
        0.119365,
        0.109649,
        0.104885,
        0.116548,
        0.109904,
        0.108003,
        0.109435,
        0.109449,
        0.106525,
        0.110764,
        0.109458,
        0.003204,
        0.116663,
        0.108668,
        0.104916,
        0.105257,
        0.111790,
        0.106094,
        0.110991,
        0.113582,
        0.117638,
        0.106940,
        0.112220,
        0.112128,
        0.111731,
        0.112402,
        0.112837,
        0.107472,
        0.113235,
        0.119924,
        0.003074,
        0.002530,
        0.113228,
        0.107256,
        0.111668,
        0.110277,
        0.113213,
        0.108054,
        0.108491,
        0.105428,
        0.108644,
        0.105948,
        0.117377,
        0.109806,
        0.110495,
        0.109171,
        0.109108,
        0.112083,
        0.109281,
        0.108135,
        12.621571,
        0.112956,
        0.109461,
        0.108876,
        0.106603,
        0.129400,
        0.110131,
        0.108113,
        0.107608,
        0.110108,
        0.104978,
        0.112496,
        0.114577,
        0.121985,
        0.107150,
        0.113285,
        0.109231,
        0.115308,
        0.114883,
        0.105459,
        0.107811,
        0.121739,
        0.121360,
        0.109796,
        0.111206,
        0.112000,
        0.111381,
        0.108617,
        0.110736,
        0.113563,
        0.108373,
        0.105227,
        0.109754,
        0.106343,
        0.107882,
        0.106895,
        0.108748,
        0.105044,
        0.116529,
        0.110360,
        0.113646,
        0.116707,
        0.110716,
        0.116646,
        0.109891,
        0.114092,
        0.124688,
        0.120760,
        0.117874,
        0.143104,
        0.113913,
        0.117723,
        0.112126,
        0.115750,
        0.110249,
        0.112122,
        0.129014,
        0.115119,
        0.113830,
        0.124894,
        0.147443,
        0.125798,
        0.118138,
        0.112759,
        0.115483,
        0.114021,
        0.115279,
        0.111986,
        0.122851,
        0.117517,
        0.151590,
        0.107577,
        0.152674,
        0.152666,
        0.116256,
        0.113349,
        0.113114,
        0.115373,
        0.112396,
        0.116842,
        0.111017,
        0.114869,
        0.120479,
        0.329379,
        0.110063,
        0.112617,
        0.112344,
        0.120326,
        0.114611,
        0.119683,
        0.130926,
        0.108362,
        0.123358,
        0.120335,
        0.118344,
        0.113850,
        0.108236,
        0.115972,
        0.113356,
        0.116621,
        0.132834,
        0.115193,
        0.122702,
        0.120785,
        0.112716,
        0.112034,
        0.108990,
        0.119621,
        3.069877,
        1.131547,
        0.113064,
        0.107719,
        0.113783,
        0.114036,
        0.108507,
        0.114534,
        0.122240,
        0.113605,
        0.115553,
        0.108506,
        1.938329,
        0.112732,
        0.121374,
        0.122481,
        0.112433,
        0.117767,
        0.116733,
        0.111072,
        0.108683,
        0.108699,
        0.112054,
        0.115723,
        0.111815,
        0.114012,
        0.108883,
        0.107829,
        0.117586,
        0.118454,
        0.217313,
        0.153303,
        0.005928,
        0.005631,
        0.007611,
        0.005442,
        0.003788,
        0.005443,
        0.005848,
        0.005682,
        0.014534,
        0.011059,
        0.006834,
        0.004870,
        0.005655,
        0.009623,
        0.008213,
        0.004570,
        0.006934,
        0.005002,
        0.002996,
        0.012473,
        0.006409,
        0.004143,
        0.004616,
        0.064010,
        0.006098,
        0.005004,
        0.006515,
        0.005857,
        0.006375,
        0.005086,
        0.005810,
        0.006266,
        0.009639,
        0.002612,
        0.004748,
        6.486620,
        2.257912,
        0.106954,
        0.106394,
        0.108164,
        0.107926,
        0.109357,
        0.108751,
        0.107299,
        0.107513,
        0.107512,
        0.112614,
        0.211401,
        0.104976,
        0.113341,
        0.106116,
        0.106233,
        0.108699,
        0.108035,
        0.104699,
        0.105101,
        0.106827,
        4.228708,
        0.110867,
        0.113119,
        0.110674,
        0.110603,
        0.111807,
        0.106679,
        0.111082,
        0.107432,
        0.108729,
        0.108560,
        0.107943,
        0.109691,
        0.109401,
        0.111693,
        0.114631,
        0.110936,
        0.106169,
        0.107759,
        0.110094,
        0.109055,
        0.111005,
        0.108253,
        0.108840,
        0.114975,
        0.115796,
        0.116143,
        0.111474,
        0.108337,
        0.109101,
        0.113704,
        0.113417,
        0.111880,
        0.111689,
        0.111635,
        0.115347,
        0.117370,
        0.115719,
        0.117099,
        1.771100,
        0.777935,
        0.110590,
        0.108717,
        0.108323,
        0.115480,
        0.110157,
        0.111062,
        0.113606,
        0.993165,
        0.106265,
        0.108363,
        0.111475,
        0.109920,
        0.108918,
        0.109192,
        0.113800,
        0.110597,
        0.114635,
        0.009684,
        0.009684,
        2.182650,
        0.109307,
        0.107399,
        0.107182,
        0.109636,
        0.115056,
        0.112850,
        0.108978,
        0.109511,
        0.107432,
        0.875807,
        0.109526,
        0.113958,
        0.107943,
        0.106628,
        0.107113,
        0.109566,
        0.106394,
        0.114679,
        0.319492,
        0.108221,
        0.106427,
        0.104844,
        1.238067,
        1.118881,
        0.360764,
        0.316903,
        0.107079,
        0.107833,
        0.108208,
        0.118094,
        0.119186,
        4.246503,
        0.347190,
        0.335820,
        0.314485,
        0.109638,
        0.110055,
        0.107290,
        0.113867,
        0.318021,
        0.107300,
        0.322864,
        0.109415,
        0.314880,
        0.108384,
        0.327864,
        0.109598,
        0.320044,
        0.335966,
        0.107682,
        0.108071,
        0.107617,
        0.110451,
        4.975440,
        0.112928,
        0.322685,
        0.112126,
        0.332049,
        0.329866,
        3.765786,
        0.119746,
        0.118280,
        0.121047,
        0.120825,
        0.341396,
        0.119733,
        0.352208,
        0.343480,
        0.121070,
        0.136742,
        0.254985,
        0.126595,
        0.365794,
        0.127089,
        0.355714,
        0.378609,
        0.130511,
        0.131962,
        0.731854,
        0.122733,
        0.122733,
        0.609121,
        0.125957,
        0.120080,
        0.119727,
        0.122126,
        0.121231,
        3.094398,
        0.393233,
        0.142992,
        0.127503,
        0.002455,
        0.120283,
        2.701165,
        0.124162,
        0.135751,
        0.002439,
        0.132376,
        0.128831,
        0.125684,
        0.132737,
        0.132374,
        0.131694,
        0.130635,
        0.137610,
        0.140563,
        0.136905,
        0.145642,
        0.141932,
        0.134665,
        0.135814,
        0.136479,
        0.147349,
        0.133279,
        0.134245,
        1.731865,
        0.553866,
        0.137492,
        0.137253,
        0.140436,
        0.138685,
        1.177999,
        0.140266,
        0.140372,
        0.142815,
        0.181745,
        0.138180,
        0.144801,
        0.140189,
        0.149631,
        12.588822,
        2.552460,
        0.143733,
        0.142918,
        0.145722,
        0.142260,
        0.151307,
        0.146450,
        0.146422,
        0.399674,
        0.138968,
        0.141754,
        0.136518,
        0.141735,
        0.150320,
        0.142200,
        0.142401,
        0.140078,
        10.036361,
        0.149147,
        0.156670,
        0.147217,
        0.148666,
        0.148705,
        0.396122,
        0.148834,
        0.147333,
        0.157828,
        0.152469,
        0.153831,
        0.144305,
        0.146789,
        0.150698,
        0.143408,
        0.157977,
        0.148994,
        0.388746,
        0.143106,
        0.144697,
        0.144307,
        0.162163,
        0.142041,
        0.145671,
        0.143862,
        0.153868,
        0.148035,
        0.143857,
        0.145227,
        0.142571,
        0.149508,
        0.148196,
        0.377974,
        0.148550,
        0.144081,
        0.144191,
        0.147103,
        0.149185,
        0.158285,
        0.149418,
        0.146815,
        0.147360,
        0.157072,
        0.391174,
        0.147160,
        0.153675,
        0.154442,
        0.154343,
        0.147740,
        0.147703,
        0.152777,
        0.144727,
        0.420944,
        0.154231,
        0.170411,
        0.139995,
        0.141626,
        0.148508,
        0.152024,
        3.731692,
        0.288869,
        0.144309,
        0.144560,
        3.442823,
        0.143845,
        0.168405,
        0.151089,
        0.150669,
        0.409777,
        0.150256,
        0.143320,
        0.139312,
        0.152899,
        0.151446,
        0.152314,
        0.220128,
        0.149039,
        0.153219,
        0.149477,
        0.160357,
        0.148062,
        0.397999,
        0.151210,
        5.628382,
        0.149282,
        0.147429,
        0.143234,
        0.145855,
        0.146984,
        0.893484,
        0.003555,
        0.004447,
        0.147701,
        0.148497,
        0.144055,
        0.142902,
        0.149627,
        0.149847,
        0.002853,
        4.002114,
        0.407523,
        0.144757,
        0.153221,
        0.145258,
        0.143158,
        0.144285,
        0.155281,
        0.159675,
        0.146899,
        0.149816,
        0.145577,
        0.164553,
        0.150092,
        0.148829,
        0.147415,
        0.424443,
        0.166800,
        0.150158,
        0.148224,
        0.151007,
        0.150172,
        0.139982,
        0.164989,
        8.648138,
        0.147159,
        3.577914,
        0.149543,
        0.144518,
        0.148008,
        0.318975,
        0.309481,
        0.618392,
        0.166882,
        0.294297,
        0.290520,
        0.291802,
        0.321690,
        0.199709,
        0.324098,
        4.923064,
        0.237540,
        0.154246,
        0.149141,
        0.147634,
        0.151989,
        0.177114,
        0.148365,
        0.401013,
        0.151586,
        0.146573,
        0.148868,
        0.145361,
        0.266872,
        0.325660,
        0.261776,
        0.337024,
        0.259134,
        0.319330,
        0.177211,
        0.240047,
        0.337519,
        0.239062,
        20.999172,
        0.004149,
        9.866962,
        0.320371,
        0.169177,
        0.309958,
        0.318542,
        0.285367,
        0.321991,
        0.188200,
        0.262696,
        0.611065,
        0.175354,
        0.221681,
        0.302372,
        0.314634,
        0.269926,
        0.260387,
        0.219167,
        0.264454,
        0.333649,
        0.309172,
        0.273023,
        0.271462,
        0.182296,
        0.318362,
        0.271860,
        0.289364,
        0.317903,
        0.155928,
        0.231065,
        0.623041,
        0.313791,
        0.171798,
        0.306704,
        0.173907,
        0.229310,
        0.278985,
        11.128061,
        0.746790,
        0.195519,
        0.219817,
        0.160157,
        0.140617,
        0.133932,
        0.147191,
        0.152109,
        0.144127,
        0.152035,
        0.147442,
        0.449695,
        0.146389,
        0.146688,
        0.154115,
        0.440314,
        0.491128,
        0.176746,
        0.418735,
        0.154937,
        0.173519,
        0.145449,
        0.155320,
        0.152131,
        0.159787,
        0.427641,
        0.155464,
        0.151735,
        0.148714,
        0.146587,
        0.154943,
        0.142594,
        0.143866,
        0.148857,
        0.445060,
        0.148099,
        0.177095,
        0.290439,
        0.339137,
        0.336985,
        0.222391,
        0.844762,
        0.205460,
        0.324615,
        0.312700,
        0.156228,
        0.048686,
        0.023679,
        0.010303,
        0.006177,
        0.008527,
        12.170183,
        0.002168,
        0.002383,
        0.002260,
        0.151454,
        0.464907,
        0.460780,
        0.355649,
        0.357390,
        0.287647,
        0.005337,
        0.003163,
        4.808266,
        0.256701,
        0.257765,
        0.247379,
        0.152068,
        0.288521,
        0.241378,
        0.214642,
        0.276314,
        0.296133,
        0.242522,
        0.302089,
        0.164154,
        0.309941,
        0.220630,
        0.148134,
        0.139954,
        0.149758,
        0.150781,
        0.159372,
        0.150105,
        0.143960,
        0.145833,
        0.150132,
        5.268779,
        0.147539,
        0.147683,
        0.148228,
        0.150319,
        0.144316,
        0.145229,
        0.150268,
        0.147765,
        0.150057,
        0.150400,
        0.150607,
        0.144016,
        0.148223,
        0.142417,
        0.148203,
        0.142879,
        0.143531,
        0.148613,
        0.153023,
        0.141566,
        0.139667,
        0.159234,
        0.433680,
        0.140743,
        0.143963,
        0.145064,
        0.141701,
        0.141951,
        0.145209,
        0.002562,
        0.150801,
        0.148476,
        0.143641,
        0.142539,
        0.144666,
        0.294140,
        0.294140,
        0.146423,
        0.147717,
        1.240538,
        0.945233,
        0.142479,
        0.224462,
        0.318239,
        0.260053,
        0.295305,
        0.146143,
        0.149162,
        0.291235,
        0.291235,
        0.146868,
        0.144367,
        1.087023,
        1.087023,
        0.319142,
        0.167258,
        0.310295,
        0.149115,
        0.141213,
        2.781749,
        2.486489,
        0.140551,
        0.150761,
        0.149256,
        0.150549,
        0.142300,
        0.142397,
        0.160793,
        0.141012,
        0.144070,
        0.138072,
        0.148137,
        0.147691,
        0.148334,
        0.142800,
        0.144920,
        0.148161,
        0.146685,
        0.295260,
        0.147943,
        0.147317,
        3.791613,
        0.449415,
        0.147558,
        0.145223,
        0.156634,
        3.342198,
        0.147957,
        0.150074,
        0.145749,
        0.144154,
        0.142239,
        0.143330,
        0.146327,
        0.152340,
        0.145133,
        0.143538,
        0.150725,
        0.146681,
        0.140138,
        0.141078,
        0.156225,
        0.154643,
        0.145516,
        0.145381,
        0.138514,
        0.134995,
        0.149064,
        0.137962,
        0.140435,
        4.135012,
        1.791927,
        0.134014,
        0.137028,
        0.140186,
        0.148043,
        0.494465,
        0.131871,
        0.466329,
        0.139991,
        2.343085,
        0.131160,
        0.133138,
        0.138426,
        0.133239,
        0.130811,
        0.134866,
        0.135042,
        0.141739,
        0.137227,
        0.137467,
        0.137497,
        0.141136,
        0.138037,
        0.144212,
        0.140671,
        0.145360,
        0.143057,
        2.005215,
        0.202465,
        0.448183,
        0.153108,
        0.452873,
        0.449616,
        0.151675,
        0.147295,
        26.946853,
        0.494677,
        0.111494,
        0.113603,
        0.117915,
        11.097884,
        0.109268,
        0.113070,
        0.112155,
        0.113446,
        0.114416,
        0.112019,
        0.120746,
        0.114711,
        0.114808,
        0.123068,
        0.119253,
        0.125033,
        0.123150,
        0.126010,
        0.127103,
        0.122108,
        0.126338,
        0.130048,
        0.128503,
        0.130169,
        0.126209,
        0.126601,
        0.130122,
        0.126808,
        0.129574,
        0.131102,
        0.132716,
        0.136324,
        0.139119,
        0.132881,
        0.140800,
        0.135309,
        0.138238,
        0.141398,
        0.148156,
        0.137306,
        0.143751,
        0.150199,
        0.147878,
        0.139198,
        0.141736,
        0.138802,
        0.142451,
        0.143705,
        0.446132,
        0.142494,
        0.156384,
        0.141946,
        0.153177,
        0.149887,
        0.144956,
        0.146024,
        0.151795,
        0.166037,
        0.145094,
        0.148492,
        0.153755,
        0.154737,
        0.147207,
        0.154277,
        0.155021,
        0.152345,
        0.149742,
        0.150839,
        0.147246,
        0.143212,
        0.143253,
        0.147006,
        0.145624,
        0.145915,
        0.155780,
        0.147811,
        0.146230,
        0.151410,
        0.158557,
        0.149629,
        0.151798,
        0.148266,
        15.011280,
        0.159074,
        0.146406,
        0.154691,
        0.152329,
        0.158309,
        0.151393,
        0.151083,
        0.150583,
        0.163311,
        0.182444,
        0.189755,
        0.189195,
        0.156851,
        0.148969,
        0.175091,
        0.153154,
        0.162045,
        0.155707,
        0.155662,
        0.153611,
        0.154899,
        0.152653,
        0.148085,
        0.150141,
        0.156278,
        0.152295,
        0.146190,
        0.155454,
        0.154045,
        0.157275,
        0.160394,
        0.163490,
        0.163200,
        0.154226,
        0.148734,
        0.218536,
        0.153556,
        0.153377,
        0.155942,
        0.149098,
        0.154795,
        0.150539,
        0.152429,
        0.152826,
        0.154120,
        0.154511,
        0.148928,
        0.153980,
        0.161396,
        0.158712,
        0.155686,
        0.154457,
        0.161346,
        0.151876,
        0.160560,
        0.002464,
        0.157706,
        0.156520,
        0.171045,
        0.149130,
        0.158793,
        0.157098,
        0.156633,
        0.153664,
        0.476648,
        0.165190,
        0.162278,
        0.167706,
        0.156266,
        0.160073,
        0.159209,
        0.162523,
        0.159588,
        0.157929,
        0.157370,
        0.154853,
        0.150512,
        0.154835,
        0.150684,
        0.155013,
        0.153577,
        0.152705,
        0.154904,
        0.167363,
        0.158757,
        0.156929,
        0.158276,
        0.484502,
        0.158170,
        0.153820,
        0.158018,
        0.156839,
        3.333096,
        1.427360,
        0.156714,
        0.287825,
        0.336628,
        0.164022,
        0.150708,
        0.155146,
        0.153887,
        0.003536,
        0.003675,
        0.003963,
        0.003687,
        0.003738,
        0.003831,
        1.905735,
        0.161532,
        0.158941,
        0.157803,
        0.159044,
        0.480446,
        0.158306,
        0.156360,
        0.159304,
        0.156263,
        0.157736,
        0.124422,
        0.070765,
        0.008028,
        0.003760,
        0.004048,
        0.003778,
        0.015077,
        0.008755,
        0.002850,
        0.003472,
        0.010267,
        0.003335,
        0.003468,
        0.003464,
        0.001261,
        0.001842,
        0.001021,
        0.001017,
        0.000663,
        0.000939,
        0.000988,
        0.000968,
        5.091431,
        2.568343,
        0.507903,
        0.159502,
        0.347879,
        0.173954,
        0.159374,
        0.151043,
        0.151270,
        0.153408,
        0.149253,
        0.152002,
        0.153297,
        0.156592,
        0.152867,
        2.523088,
        0.159623,
        0.153857,
        0.486244,
        0.165274,
        0.157552,
        0.156220,
        0.153743,
        0.155534,
        0.151225,
        0.154985,
        0.156949,
        0.471882,
        2.570334,
        0.779043,
        0.148351,
        0.158652,
        0.153879,
        0.157266,
        0.003104,
        0.157791,
        1.791291,
        0.151174,
        0.152439,
        0.153013,
        0.154714,
        0.243409,
        0.150086,
        0.152320,
        0.155304,
        0.478832,
        2.005807,
        0.002390,
        0.002685,
        0.518134,
        0.002178,
        0.145643,
        0.145756,
        0.148362,
        0.151646,
        0.148430,
        0.148258,
        0.147869,
        0.151533,
        0.148085,
        0.144838,
        13.070064,
        5.080016,
        0.195110,
        0.121375,
        0.119670,
        0.123991,
        0.130200,
        0.132672,
        0.131081,
        0.130400,
        0.131825,
        0.136778,
        0.135242,
        0.131148,
        0.132922,
        0.132902,
        0.133818,
        0.140577,
        0.139396,
        0.142311,
        0.139286,
        0.139477,
        0.139885,
        0.141141,
        0.144882,
        0.141631,
        0.138321,
        0.170022,
        0.146578,
        0.156040,
        0.145919,
        0.142681,
        0.144859,
        0.146630,
        0.148289,
        0.151673,
        0.151077,
        0.150207,
        7.990048,
        0.147403,
        0.145106,
        0.152581,
        0.152127,
        0.152736,
        0.155315,
        0.236126,
        0.505615,
        0.152347,
        0.155628,
        0.158220,
        0.157669,
        0.156389,
        0.351611,
        0.200416,
        0.156093,
        0.153178,
        0.159723,
        0.159190,
        0.153256,
        0.155136,
        0.156368,
        0.151712,
        0.155179,
        0.153001,
        0.157011,
        0.160715,
        0.165670,
        0.151892,
        0.157228,
        0.156178,
        0.155489,
        0.156608,
        0.155104,
        0.154258,
        0.153928,
        0.148697,
        0.152003,
        0.155150,
        0.158473,
        0.161813,
        0.157220,
        0.153948,
        0.157576,
        0.166849,
        0.162132,
        0.159979,
        4.425531,
        0.007256,
        0.165920,
        0.006762,
        0.006968,
        0.169796,
        0.183052,
        0.162529,
        0.156545,
        0.159992,
        0.162061,
        0.157040,
        0.170817,
        0.174694,
        0.159632,
        0.161889,
        0.159989,
        0.165831,
        0.363238,
        0.377678,
        0.362146,
        0.167945,
        0.161898,
        0.162614,
        0.162466,
        0.172021,
        0.164752,
        9.749331,
        2.345381,
        0.152870,
        0.160372,
        0.155912,
        0.158132,
        0.154950,
        0.156280,
        0.159010,
        0.153369,
        0.156655,
        0.156951,
        0.003331,
        0.155371,
        0.158875,
        0.155069,
        0.154388,
        0.153845,
        7.403951,
        0.158868,
        0.160261,
        0.155395,
        0.158945,
        0.159586,
        0.159674,
        0.154574,
        0.157590,
        0.162621,
        0.337691,
        0.349514,
        0.372089,
        0.207464,
        0.161771,
        0.156174,
        0.158573,
        0.158966,
        0.153505,
        0.157168,
        0.158977,
        0.160881,
        0.158056,
        0.169597,
        0.241829,
        0.351478,
        0.167568,
        0.517455,
        1.657300,
        0.180380,
        6.867088,
        0.529888,
        0.174326,
        0.174701,
        0.163533,
        0.166812,
        0.175492,
        0.173565,
        0.176143,
        0.171077,
        0.176941,
        0.187232,
        0.172256,
        0.178794,
        0.551941,
        0.167556,
        0.170661,
        0.158774,
        0.160096,
        0.175555,
        0.157148,
        0.155395,
        0.159890,
        0.163453,
        0.155314,
        0.158328,
        0.162270,
        0.158446,
        0.506571,
        0.171812,
        0.169342,
        0.177589,
        0.168194,
        0.173233,
        0.224760,
        0.629640,
        0.320496,
        0.161617,
        0.158879,
        0.309144,
        0.155644,
        0.153500,
        5.130031,
        1.432112,
        0.151195,
        0.249747,
        0.531337,
        0.173542,
        0.165508,
        0.160783,
        3.697919,
        0.301352,
        0.362244,
        0.534002,
        0.171414,
        0.172070,
        0.169992,
        0.159522,
        0.172634,
        0.172088,
        0.174859,
        0.161596,
        0.162016,
        0.158178,
        0.160283,
        0.561019,
        0.104650,
        21.592856,
        3.939540,
        0.505231,
        0.104657,
        0.107393,
        0.102840,
        0.102697,
        0.106910,
        0.104766,
        0.102173,
        0.003541,
        0.003543,
        0.003638,
        0.103425,
        0.003256,
        0.003322,
        0.003755,
        0.108328,
        0.004343,
        0.003657,
        0.003642,
        0.102979,
        0.105050,
        0.108875,
        0.113698,
        0.112788,
        0.115199,
        0.111840,
        0.111436,
        0.114900,
        0.113918,
        0.002732,
        0.118215,
        0.123195,
        0.126608,
        0.119889,
        0.118862,
        0.123050,
        0.121819,
        0.493370,
        17.653315,
        0.139227,
        0.130404,
        0.134144,
        0.128866,
        0.128039,
        0.286769,
        0.304244,
        0.304956,
        0.300558,
        0.297832,
        0.294357,
        0.317596,
        0.290882,
        0.287800,
        0.324003,
        0.362896,
        0.329897,
        0.333097,
        0.335415,
        0.318963,
        0.325203,
        0.160294,
        0.142186,
        0.142138,
        0.149264,
        0.148017,
        0.146042,
        0.151776,
        0.152003,
        0.150170,
        0.148804,
        0.155055,
        0.160078,
        0.156462,
        0.153014,
        0.153423,
        0.162445,
        0.160657,
        0.152862,
        0.161021,
        0.173785,
        0.161435,
        0.158431,
        0.161634,
        0.167756,
        0.167522,
        0.163921,
        0.168665,
        0.159701,
        0.157626,
        0.164694,
        0.167305,
        0.164652,
        0.174779,
        0.158721,
        0.157662,
        0.167475,
        0.162246,
        0.157131,
        0.161643,
        0.165029,
        0.169169,
        0.165599,
        0.167730,
        0.172809,
        0.158974,
        0.158463,
        0.174063,
        0.169224,
        0.164571,
        0.156280,
        0.164761,
        0.172830,
        0.171052,
        0.166926,
        0.168563,
        0.159835,
        0.165933,
        0.169691,
        0.161191,
        0.162887,
        0.163030,
        0.164930,
        0.160704,
        0.164022,
        0.160201,
        0.171926,
        0.163738,
        0.162549,
        0.164428,
        0.161950,
        0.164331,
        0.166661,
        0.164020,
        0.177601,
        18.406367,
        3.156792,
        0.162838,
        0.163968,
        0.160560,
        0.156137,
        0.155310,
        0.162187,
        0.157114,
        0.003621,
        0.165033,
        0.166050,
        0.168089,
        0.156681,
        0.164696,
        0.556976,
        0.155785,
        0.163604,
        0.155140,
        0.183003,
        15.249575,
        0.169318,
        0.170484,
        0.548470,
        0.161867,
        0.159274,
        0.158302,
        0.169952,
        0.181236,
        0.181564,
        0.171131,
        0.175263,
        0.166026,
        0.566448,
        0.164864,
        0.171089,
        0.167418,
        0.166956,
        0.173721,
        0.175913,
        0.168155,
        0.163847,
        0.166101,
        0.162977,
        0.003465,
        0.003543,
        0.163348,
        0.162191,
        0.173679,
        0.167645,
        0.161433,
        0.550993,
        0.172630,
        0.173477,
        0.163321,
        0.163423,
        0.172441,
        0.167602,
        0.176230,
        0.171139,
        0.173527,
        0.170720,
        0.167016,
        0.003558,
        0.171142,
        0.162710,
        0.166419,
        0.164698,
        0.161383,
        0.168081,
        0.162862,
        0.160205,
        0.561845,
        0.162623,
        0.176402,
        0.171830,
        0.161208,
        0.173435,
        0.169800,
        0.171340,
        0.165692,
        0.174181,
        0.167662,
        0.182171,
        0.182524,
        0.178208,
        0.563512,
        0.169560,
        0.172162,
        0.174106,
        0.178283,
        0.168291,
        0.170549,
        0.176613,
        0.171741,
        0.176387,
        0.583349,
        0.171512,
        0.168569,
        0.166762,
        6.198658,
        1.232711,
        0.584948,
        0.162187,
        0.159326,
        0.161096,
        0.165154,
        4.965947,
        0.161383,
        0.168570,
        0.164218,
        0.166432,
        0.166692,
        0.563987,
        0.168061,
        0.163503,
        0.168777,
        0.169766,
        0.163770,
        0.165592,
        0.165231,
        0.574511,
        0.163634,
        0.163408,
        0.166962,
        0.170814,
        0.169275,
        0.167081,
        0.002205,
        0.169824,
        0.169652,
        0.160817,
        0.166200,
        0.165582,
        6.149547,
        2.046200,
        0.164114,
        0.160561,
        0.558473,
        0.162461,
        0.165656,
        0.171233,
        0.163557,
        0.166384,
        0.164818,
        0.168943,
        4.103347,
        0.167919,
        0.168220,
        0.168137,
        0.163731,
        0.164036,
        0.169974,
        0.167872,
        0.161244,
        0.181553,
        0.167129,
        0.173616,
        0.174815,
        0.569431,
        0.167878,
        0.168916,
        0.167714,
        0.165957,
        0.167320,
        0.164131,
        0.166664,
        0.164850,
        0.172240,
        16.328237,
        5.096773,
        0.163478,
        0.166697,
        0.173786,
        0.582782,
        0.165093,
        0.163387,
        0.160371,
        0.161002,
        0.166844,
        0.162824,
        0.164650,
        0.170348,
        0.168949,
        0.166846,
        0.164641,
        0.158565,
        0.566384,
        0.164714,
        0.166157,
        0.160272,
        0.162431,
        0.163212,
        0.164734,
        0.003311,
        0.164888,
        0.161066,
        0.159341,
        11.231465,
        0.163251,
        0.161236,
        0.165323,
        0.162566,
        0.576236,
        0.162498,
        0.166099,
        0.168072,
        0.165052,
        0.166816,
        0.167023,
        0.165645,
        0.173865,
        0.164761,
        0.169617,
        0.163444,
        0.574000,
        0.168193,
        0.167683,
        0.177272,
        0.168233,
        0.163110,
        0.167533,
        0.165415,
        0.160645,
        0.157903,
        0.177028,
        0.569291,
        0.169557,
        0.168087,
        0.167727,
        0.173755,
        0.169436,
        0.170427,
        0.575680,
        0.159738,
        0.162653,
        0.177960,
        0.176498,
        0.161314,
        0.165922,
        0.170130,
        0.164192,
        0.160980,
        0.167110,
        0.164227,
        0.168341,
        0.163739,
        0.580596,
        0.163580,
        0.167575,
        0.162623,
        0.170570,
        0.177320,
        0.173917,
        4.926569,
        0.160413,
        0.166023,
        0.162981,
        0.582643,
        0.170447,
        0.171916,
        0.167563,
        0.172085,
        0.172679,
        0.170497,
        0.176457,
        0.174398,
        0.002817,
        0.169418,
        0.172492,
        0.171953,
        0.876069,
        0.317022,
        0.332252,
        0.266954,
        0.169490,
        2.111488,
        0.175887,
        0.172027,
        0.174487,
        0.172224,
        0.162806,
        0.164318,
        0.161847,
        0.164248,
        0.173640,
        0.359313,
        0.230691,
        4.827696,
        3.070015,
        0.163852,
        0.160218,
        0.588276,
        0.163702,
        0.166579,
        0.165816,
        0.163410,
        0.164615,
        0.166883,
        0.165379,
        0.165608,
        0.167905,
        0.167071,
        0.166565,
        0.166527,
        0.167609,
        1.757681,
        0.163305,
        0.167256,
        0.170872,
        0.166066,
        0.166765,
        0.166711,
        0.588581,
        0.168125,
        13.292415,
        2.025275,
        0.171659,
        0.164841,
        0.167784,
        0.170947,
        0.169368,
        0.168052,
        0.168980,
        0.167913,
        0.167504,
        0.168404,
        0.173863,
        0.165960,
        11.267140,
        0.167426,
        0.167528,
        0.169706,
        0.592705,
        0.169122,
        0.167236,
        0.166275,
        0.169190,
        0.167556,
        0.172139,
        0.168150,
        0.165778,
        0.167119,
        0.164424,
        0.170291,
        0.166513,
        0.170836,
        0.174335,
        0.167514,
        0.169479,
        0.166227,
        0.169058,
        0.168506,
        0.170076,
        0.169578,
        0.173494,
        0.603512,
        0.167672,
        0.166052,
        0.169086,
        0.168458,
        0.167012,
        0.169503,
        0.170675,
        0.626693,
        0.173941,
        0.170676,
        0.162977,
        0.165208,
        0.164244,
        0.163462,
        0.167698,
        0.160108,
        0.165438,
        0.162570,
        0.168463,
        0.163091,
        0.164877,
        0.320224,
        1.214514,
        0.360724,
        6.171733,
        4.810277,
        0.362688,
        0.349423,
        0.361168,
        0.184102,
        0.164132,
        0.167863,
        0.164040,
        0.165351,
        0.167436,
        0.166011,
        0.168918,
        0.173511,
        0.168676,
        0.597578,
        0.353801,
        0.361625,
        0.359930,
        0.374023,
        1.361457,
        0.215128,
        0.160236,
        0.164434,
        0.162171,
        0.169570,
        0.162560,
        0.163652,
        0.163706,
        1.434608,
        0.166331,
        0.002859,
        0.163472,
        1.268277,
        0.172107,
        0.168871,
        0.594432,
        0.169021,
        0.163846,
        0.948404,
        0.191555,
        0.002161,
        0.002176,
        0.002331,
        0.002227,
        0.002354,
        0.002464,
        0.002572,
        0.002638,
        0.002576,
        0.002829,
        0.003000,
        0.002760,
        0.003075,
        0.002983,
        0.003037,
        0.003175,
        0.003177,
        0.003728,
        0.003242,
        0.003472,
        0.003198,
        0.003318,
        0.003222,
        0.003204,
        0.003114,
        0.003598,
        0.003588,
        0.003768,
        0.003974,
        0.003562,
        0.003579,
        0.002591,
        0.002159,
        0.002310,
        0.002167,
        0.002224,
        0.002252,
        0.002470,
        0.003063,
        0.003342,
        0.003750,
        0.003875,
        0.003909,
        0.002777,
        0.002379,
        0.002272,
        0.002400,
        0.002708,
        0.003007,
        0.003084,
        0.002427,
        0.002646,
        0.002787,
        0.002405,
        0.002199,
        0.002406,
        0.002246,
        0.002720,
        0.002651,
        0.002692,
        0.003005,
        0.003036,
        0.003069,
        0.003552,
        0.003317,
        0.003555,
        0.756849,
        0.596555,
        0.160294,
        1.102451,
        0.002130,
        0.002290,
        0.002304,
        0.002295,
        0.002720,
        0.002269,
        0.002235,
        0.002726,
        0.002306,
        0.002293,
        0.002178,
        0.002212,
        0.002570,
        0.002611,
        0.002549,
        0.002924,
        0.002556,
        0.002708,
        0.003131,
        0.002870,
        0.003005,
        0.003155,
        0.003099,
        0.003281,
        0.003164,
        0.003202,
        0.003296,
        0.003358,
        0.003509,
        0.003507,
        0.003520,
        0.003017,
        0.002263,
        0.002573,
        0.003793,
        0.004175,
        0.003590,
        0.003678,
        0.003464,
        0.003518,
        0.004101,
        0.003789,
        0.002976,
        0.002312,
        0.003226,
        0.003273,
        0.003252,
        0.003527,
        0.003482,
        0.002514,
        0.002347,
        0.002371,
        0.002342,
        0.002841,
        0.003066,
        0.003205,
        0.003463,
        0.003111,
        0.003373,
        0.002363,
        0.002257,
        0.002221,
        0.002161,
        0.002469,
        0.003002,
        0.003056,
        0.003051,
        0.003349,
        0.003400,
        0.003347,
        0.002321,
        0.002157,
        0.002250,
        0.002712,
        0.003275,
        0.003587,
        0.002474,
        0.002199,
        0.002719,
        0.002621,
        0.002246,
        0.002203,
        0.002504,
        0.002902,
        0.009907,
        0.003448,
        0.002720,
        0.002472,
        0.002297,
        0.002148,
        0.002211,
        0.002501,
        0.002816,
        0.830469,
        30.306383,
        4.566595,
        0.629350,
        0.100094,
        0.098456,
        0.099044,
        0.100418,
        0.101297,
        0.099857,
        0.102452,
        0.101346,
        0.099251,
        0.102608,
        0.102581,
        0.104000,
        0.099658,
        0.107036,
        0.105207,
        0.104938,
        0.101920,
        0.102713,
        0.103583,
        0.105303,
        0.002172,
        0.111437,
        0.109354,
        0.108586,
        0.113145,
        0.115089,
        0.117020,
        0.119785,
        0.118901,
        0.118535,
        0.118166,
        0.120029,
        0.125269,
        0.121560,
        0.123324,
        0.122005,
        0.131106,
        25.739788,
        0.124483,
        0.124002,
        0.127487,
        0.128294,
        0.128416,
        0.130390,
        0.129814,
        0.136013,
        0.126616,
        0.127496,
        0.130595,
        0.132988,
        0.134274,
        0.599229,
        0.135313,
        0.134179,
        0.135819,
        0.134486,
        0.136981,
        0.137806,
        0.148402,
        0.147079,
        0.141988,
        0.137264,
        0.138971,
        0.139487,
        0.140761,
        0.141731,
        0.140716,
        0.141807,
        0.142666,
        0.147077,
        0.146010,
        0.145331,
        0.146589,
        0.146103,
        0.143467,
        0.143274,
        0.149940,
        0.147165,
        0.147514,
        0.172787,
        0.152613,
        0.002498,
        0.151774,
        0.153612,
        0.154699,
        0.152764,
        0.154230,
        0.162034,
        0.172363,
        0.162763,
        0.164468,
        0.160475,
        0.160968,
        0.165621,
        0.161202,
        0.160642,
        0.161168,
        0.163687,
        0.164322,
        0.174391,
        0.167373,
        0.174984,
        0.162824,
        0.163746,
        0.178154,
        0.174221,
        0.171383,
        0.173776,
        0.169954,
        0.168939,
        0.172384,
        0.172336,
        0.164774,
        0.164763,
        0.172947,
        0.169705,
        0.168170,
        0.179958,
        0.168789,
        0.170095,
        0.172223,
        0.173502,
        0.163476,
        0.189781,
        0.168727,
        0.178957,
        0.174535,
        0.169032,
        0.956978,
        0.108890,
        0.104261,
        0.101917,
        0.101310,
        0.102334,
        0.107473,
        0.104424,
        0.106261,
        0.103352,
        0.102239,
        0.109433,
        0.106920,
        0.103486,
        0.107329,
        0.108289,
        0.107216,
        0.105752,
        0.105154,
        0.107498,
        0.113207,
        0.106732,
        0.104628,
        0.103190,
        0.103567,
        0.106432,
        0.108156,
        0.106025,
        0.107646,
        0.106662,
        0.106352,
        0.109160,
        0.107537,
        0.103634,
        0.104681,
        0.106316,
        0.109006,
        0.108114,
        0.106481,
        0.110132,
        0.115372,
        0.104856,
        0.103709,
        0.108021,
        0.668294,
        0.254273,
        0.105322,
        0.002174,
        0.104986,
        0.002379,
        0.002106,
        0.106030,
        0.103310,
        0.106873,
        0.106013,
        0.108302,
        0.104796,
        0.107385,
        0.107184,
        0.110318,
        0.107992,
        0.107563,
        0.106158,
        0.108523,
        0.108438,
        0.107851,
        0.103569,
        0.104826,
        0.104291,
        0.104643,
        0.104376,
        0.104364,
        0.103672,
        0.107062,
        0.106122,
        0.109756,
        0.107550,
        0.105663,
        0.110733,
        0.106229,
        0.106762,
        0.105315,
        0.111510,
        0.108967,
        0.118658,
        0.121884,
        0.120291,
        0.113839,
        0.117502,
        0.120956,
        0.283363,
        0.275699,
        0.129172,
        4.636919,
        0.759322,
        0.122308,
        0.125286,
        0.125948,
        0.128530,
        0.127356,
        0.129894,
        3.877597,
        0.125208,
        0.143537,
        0.130454,
        0.133612,
        0.136650,
        0.136203,
        0.134443,
        0.138309,
        0.141538,
        0.142364,
        0.136016,
        0.144202,
        0.140777,
        0.144987,
        0.140096,
        0.141051,
        0.144706,
        0.183231,
        0.147473,
        0.152050,
        0.144496,
        0.148333,
        0.149249,
        0.147077,
        0.149100,
        0.152325,
        0.150110,
        13.647035,
        11.797942,
        0.148666,
        0.156807,
        0.154042,
        0.150686,
        0.155620,
        0.157846,
        0.155173,
        0.154547,
        0.161808,
        0.157010,
        0.160622,
        0.160716,
        0.166203,
        0.164735,
        0.165558,
        0.160625,
        0.163184,
        0.173299,
        0.177411,
        0.186097,
        0.175059,
        0.179319,
        0.180170,
        0.175328,
        0.178483,
        0.173362,
        0.174210,
        0.186890,
        0.183217,
        0.174396,
        0.180216,
        0.187209,
        0.188139,
        0.184107,
        0.182450,
        0.177271,
        0.183313,
        0.178081,
        0.174294,
        0.172358,
        0.170549,
        0.175796,
        0.175560,
        0.178276,
        0.177566,
        0.186219,
        0.182947,
        0.179063,
        0.185306,
        0.178156,
        0.174963,
        0.180865,
        0.186508,
        0.190845,
        0.178947,
        0.178248,
        0.176524,
        0.180632,
        0.183348,
        0.186269,
        0.185993,
        0.177983,
        0.182047,
        0.184164,
        0.180467,
        0.180325,
        0.281850,
        1.849093,
        0.220215,
        0.201668,
        0.274627,
        0.258332,
        0.285007,
        0.228570,
        0.202330,
        0.178344,
        0.225998,
        0.173245,
        0.004373,
        0.004530,
        0.004408,
        0.004207,
        0.004536,
        0.004286,
        0.004235,
        0.004560,
        0.004685,
        0.004428,
        0.004183,
        0.004271,
        0.004328,
        0.004357,
        0.004210,
        0.004293,
        0.004586,
        0.004258,
        0.004265,
        0.004426,
        0.004617,
        0.005196,
        0.005163,
        0.004918,
        0.004309,
        0.004284,
        0.004537,
        0.004314,
        0.004630,
        0.004517,
        0.004679,
        0.004447,
        0.006543,
        0.004239,
        0.004611,
        0.004274,
        0.005928,
        0.004614,
        0.052753,
        0.004325,
        0.004685,
        0.004411,
        0.004973,
        0.005107,
        0.005014,
        0.004313,
        0.004761,
        0.004556,
        0.005742,
        0.004866,
        19.184343,
        10.779874,
        0.183457,
        0.192553,
        0.178991,
        0.178624,
        0.187379,
        0.181146,
        0.180743,
        0.189325,
        0.178386,
        0.180855,
        0.180311,
        0.171917,
        0.177489,
        0.173089,
        0.176028,
        0.178174,
        0.179485,
        0.177567,
        0.181843,
        0.182580,
        0.190032,
        0.179661,
        0.193398,
        0.189194,
        0.178591,
        0.243440,
        0.240874,
        0.182723,
        0.177587,
        0.185159,
        0.176318,
        0.176159,
        0.174767,
        0.181526,
        0.177978,
        0.177244,
        0.180855,
        0.175900,
        0.179358,
        0.181443,
        0.181951,
        0.182669,
        0.180345,
        0.175551,
        0.180034,
        0.181707,
        0.176445,
        0.178156,
        0.183823,
        0.722431,
        0.180241,
        0.180124,
        0.183772,
        0.178568,
        0.181126,
        0.180782,
        8.404469,
        0.246750,
        0.239765,
        0.173592,
        0.180971,
        0.181443,
        0.180287,
        0.179673,
        0.179407,
        0.177381,
        0.175318,
        0.177022,
        0.178795,
        0.176272,
        0.173262,
        0.187719,
        0.174423,
        0.176735,
        0.180458,
        0.177379,
        0.176907,
        0.175280,
        0.169238,
        0.169882,
        0.175049,
        0.178393,
        0.173872,
        0.174403,
        0.167761,
        0.172728,
        0.177090,
        0.174916,
        0.171048,
        0.171498,
        0.169625,
        0.170431,
        0.211457,
        0.211203,
        0.227150,
        0.229667,
        0.002498,
        0.174706,
        0.002502,
        0.181406,
        0.185865,
        0.173175,
        0.172827,
        0.175659,
        0.171581,
        7.802464,
        1.570041,
        0.178440,
        0.171212,
        0.169831,
        0.177690,
        0.175715,
        0.171935,
        0.178982,
        0.170514,
        0.175722,
        6.232423,
        0.315861,
        0.371336,
        0.179247,
        0.180143,
        0.178573,
        0.176759,
        0.181925,
        0.175168,
        0.176062,
        0.178480,
        0.177477,
        0.178694,
        0.312740,
        0.278806,
        0.237822,
        0.224521,
        0.356215,
        0.365120,
        0.377718,
        0.370929,
        0.369588,
        0.171774,
        0.175739,
        0.170570,
        0.171596,
        0.179559,
        15.222505,
        3.121521,
        0.182659,
        0.189433,
        0.372912,
        0.392776,
        0.383676,
        0.177370,
        0.170242,
        0.174890,
        0.179465,
        0.176798,
        0.174277,
        0.314376,
        0.232647,
        12.100984,
        0.279648,
        0.392335,
        0.376641,
        0.179905,
        0.174095,
        0.180166,
        0.188199,
        0.177420,
        0.183349,
        0.188639,
        0.181989,
        0.178272,
        0.191824,
        0.176236,
        0.173068,
        0.182156,
        0.177491,
        0.175340,
        0.175270,
        0.177187,
        0.185150,
        0.181573,
        0.181922,
        0.174120,
        0.175195,
        0.181038,
        0.181954,
        0.192288,
        0.183543,
        0.183981,
        0.228679,
        0.205316,
        0.175295,
        0.172062,
        0.174603,
        0.176500,
        0.176319,
        0.179435,
        0.181346,
        0.178284,
        0.182308,
        0.184293,
        0.187734,
        0.184706,
        0.177311,
        0.174875,
        0.173405,
        0.180981,
        0.184975,
        0.182171,
        0.178214,
        0.187549,
        0.185571,
        0.174225,
        0.170561,
        1.170557,
        0.109204,
        0.110932,
        0.115014,
        0.108566,
        8.869070,
        2.328845,
        0.107917,
        0.107925,
        0.142600,
        0.153545,
        0.112052,
        0.108904,
        0.106710,
        0.112350,
        0.107687,
        0.110617,
        0.108488,
        0.104946,
        0.105960,
        0.105138,
        0.107192,
        0.104372,
        0.104174,
        0.103205,
        0.103657,
        0.106758,
        0.104647,
        6.540225,
        0.103968,
        0.104014,
        0.107931,
        0.107614,
        0.105558,
        0.105419,
        0.110728,
        0.109012,
        0.106608,
        0.107307,
        0.104864,
        0.106238,
        0.107640,
        0.109618,
        0.107859,
        0.109975,
        0.108846,
        0.110100,
        0.111732,
        0.111608,
        0.111296,
        0.117237,
        0.171112,
        0.148555,
        0.110444,
        0.110205,
        0.103347,
        0.109271,
        0.107900,
        0.108327,
        0.107717,
        0.111943,
        0.112105,
        0.106547,
        0.108212,
        0.109698,
        0.107832,
        0.105937,
        0.106606,
        0.227433,
        0.250413,
        0.109781,
        0.110859,
        0.103552,
        0.106119,
        0.107755,
        0.108813,
        0.109354,
        0.105417,
        0.109288,
        0.109152,
        0.105007,
        0.110030,
        0.106003,
        0.105864,
        0.116727,
        0.107729,
        7.225945,
        1.981094,
        0.102993,
        0.102890,
        0.102938,
        0.160537,
        0.126176,
        0.140759,
        0.132781,
        0.139601,
        0.105783,
        0.106086,
        0.111490,
        0.107297,
        0.111788,
        0.106997,
        0.106714,
        0.113089,
        0.103175,
        5.244851,
        0.109396,
        0.112732,
        0.109020,
        0.112797,
        0.106466,
        0.108529,
        0.109672,
        0.108790,
        0.105102,
        0.107555,
        0.108710,
        0.109346,
        0.105654,
        0.107533,
        0.107790,
        0.107178,
        0.107474,
        0.108306,
        0.111125,
        0.116437,
        0.111212,
        0.107374,
        0.111311,
        0.108254,
        0.109446,
        0.109448,
        0.111521,
        0.108317,
        0.112460,
        0.109662,
        0.109825,
        0.163454,
        0.162544,
        0.117783,
        0.105704,
        0.105784,
        0.108052,
        0.106900,
        0.115450,
        0.114913,
        0.104535,
        0.113657,
        0.106384,
        0.105761,
        0.109311,
        0.106453,
        0.109723,
        6.891002,
        4.520112,
        0.117767,
        0.107965,
        0.192568,
        0.248287,
        0.127824,
        0.106164,
        0.117363,
        0.105242,
        0.104404,
        0.107908,
        0.105209,
        0.105675,
        0.106531,
        0.135765,
        0.107781,
        0.110402,
        0.113857,
        0.110318,
        0.113174,
        0.114632,
        0.119174,
        0.110584,
        0.110053,
        0.113124,
        0.106810,
        0.108296,
        0.108795,
        0.155681,
        0.164459,
        0.104818,
        0.106700,
        0.106322,
        0.107745,
        0.113974,
        0.107272,
        0.108410,
        0.102910,
        0.106149,
        2.370891,
        0.107935,
        0.105981,
        0.108033,
        0.105229,
        0.108336,
        0.108333,
        0.103651,
        0.104170,
        0.114222,
        0.107444,
        0.112178,
        0.106494,
        0.105643,
        0.106616,
        0.107348,
        0.107089,
        0.110849,
        0.107245,
        0.112614,
        0.112275,
        0.104341,
        0.104864,
        22.939667,
        13.852040,
        0.102651,
        0.111182,
        0.109446,
        0.106073,
        0.104026,
        0.105449,
        0.108233,
        0.104687,
        0.153249,
        0.121553,
        0.165250,
        0.190915,
        0.264446,
        0.116506,
        0.115431,
        0.115710,
        0.111206,
        0.110599,
        0.111132,
        0.107801,
        0.109348,
        0.113564,
        0.114960,
        0.146075,
        0.268424,
        0.119659,
        0.122767,
        0.121068,
        0.118263,
        0.111391,
        0.122029,
        0.115407,
        0.118131,
        0.116729,
        0.121807,
        0.122120,
        0.120443,
        0.122024,
        0.120986,
        0.119329,
        0.120464,
        0.125706,
        0.133455,
        0.123915,
        0.123838,
        0.125866,
        0.123393,
        0.163690,
        0.174691,
        0.173686,
        0.119596,
        0.144705,
        0.127629,
        0.126790,
        0.122621,
        0.133852,
        0.132123,
        0.123550,
        0.125890,
        0.125411,
        0.127625,
        0.128706,
        0.128841,
        0.128563,
        0.137103,
        0.136279,
        0.125359,
        0.126873,
        0.131297,
        0.132085,
        0.132872,
        0.144477,
        0.127757,
        0.127450,
        0.129751,
        0.128487,
        0.133359,
        0.132792,
        0.132018,
        0.135962,
        0.136518,
        0.138013,
        0.133204,
        0.139438,
        0.147075,
        0.196871,
        0.162334,
        0.137695,
        0.133970,
        0.135358,
        0.139871,
        0.138741,
        0.140019,
        0.136352,
        0.148828,
        0.141035,
        0.144501,
        0.141329,
        0.146243,
        0.147095,
        0.146261,
        0.148841,
        0.148691,
        0.145161,
        9.087627,
        0.143526,
        0.143493,
        0.144302,
        0.146808,
        0.144562,
        0.146295,
        0.147074,
        0.144237,
        0.146207,
        0.143239,
        0.149018,
        0.148757,
        0.146393,
        0.146798,
        0.146800,
        0.152276,
        0.145307,
        0.175852,
        0.191175,
        0.191265,
        0.162462,
        0.158920,
        0.161977,
        0.163110,
        0.158481,
        0.158064,
        0.160116,
        0.162300,
        0.156640,
        0.156402,
        0.002762,
        0.161863,
        0.163373,
        0.168027,
        0.161283,
        0.164886,
        0.161255,
        0.158309,
        0.163428,
        0.166720,
        0.163315,
        0.165564,
        0.166877,
        0.162240,
        0.159705,
        0.161784,
        0.162346,
        0.174951,
        0.171246,
        0.162807,
        0.177037,
        0.171367,
        0.162683,
        0.206220,
        0.212794,
        0.226824,
        0.166105,
        0.918475,
        0.165269,
        0.240306,
        0.512900,
        0.172022,
        0.167070,
        0.173808,
        0.041186,
        0.041186,
        0.003591,
        0.002268,
        0.002272,
        0.002479,
        0.002329,
        0.002464,
        0.002557,
        0.002452,
        0.002514,
        0.002507,
        0.002672,
        0.002682,
        0.002503,
        0.002558,
        0.002529,
        0.002809,
    ];
}
